View Issue Details

IDProjectCategoryView StatusLast Update
0002174unrealircdpublic2015-07-23 22:21
ReporterTimeFXAssigned Tosyzop 
PrioritynormalSeverityminorReproducibilityhave not tried
Status resolvedResolutionfixed 
PlatformLinuxOSSuSeOS Version9.0
Product Version3.2.2 
Target VersionFixed in Version3.4-beta3 
Summary0002174: anti-spam-quit-message-time not working
DescriptionHallo together, I'm back >:D


I set anti-spam-quit-message-time to "10s" in my unrealircd.conf, but it seems not to work:

| 15:18:13 |  Join:  life-sucks|noch-vi [~nochbaer2@x-ED6E53A8.dip.t-dialin.net]
| 15:18:13 |  Quit:  life-sucks|noch-vi (Quit: ich bin zu alt für so nen scheis!!!)

Thanks,
TimeFX


btw:
prefix-quit shouldn't add "Quit:" if the user's quit messages is empty :)
TagsNo tags attached.
3rd party modules

Activities

syzop

2004-11-13 09:56

administrator   ~0008287

Works fine here, check if the settings shows up correctly in '/stats S'.

TimeFX

2004-11-13 10:04

reporter   ~0008288

says:
anti-spam-quit-message-time: 10 seconds

syzop

2004-11-13 10:11

administrator   ~0008290

same here, and it works fine.
You completely sure you are quiting within 10s after you got connected? Try a higher value like 20, 30.

TimeFX

2004-11-13 10:16

reporter   ~0008291

Last edited: 2004-11-13 10:16

Wasn't me, was someone else. You see there isn't a full second between connect and quit:

[15:18:13] -irc.icefinch.net- *** Notice -- Client connecting on port 6667: life-sucks|noch-vi (~nochbaer2@XXX.dip.t-dialin.net) [clients]
[15:18:13] -irc.icefinch.net- *** Notice -- Client exiting: life-sucks|noch-vi (~nochbaer2@XXX.dip.t-dialin.net) [Quit: ich bin zu alt für so nen scheis!!!]

syzop

2004-11-13 10:23

administrator   ~0008292

Last edited: 2004-11-13 10:29

Well, it could well be that (s)he was just slow at connecting. The counting starts (sptr->firsttime) immediately after the TCP connection is established... So if ident is slow, or equally likely: the user is just slow at sending USER/NICK then it could very well be that several seconds have passed. 10s is quite a low anti-spam-quit-message-time anyway :P.

Anyway, we could reset sptr->firsttime for local users somewhere at register_user or something to fix this (obviously before we broadcast our NICK etc), dunnow if that's good idea or not... codemastr?

*edit* eh I ment sptr->firsttime*/edit*
*edit2* comment about change */edit2*

TimeFX

2004-11-13 10:59

reporter   ~0008293

Yes, good idea!
I'll set the time to 60s, thanks for help :)

codemastr

2004-11-13 13:32

reporter   ~0008312

[quote]prefix-quit shouldn't add "Quit:" if the user's quit messages is empty :)[/quote]

It isn't empty? The quit message is, "ich bin zu alt für so nen scheis!!!" Or am I misunderstanding you?

TimeFX

2004-11-13 13:33

reporter   ~0008313

Wasn't related to the current thread.
That's why I added the "btw" ;)

stskeeps

2007-04-27 05:23

reporter   ~0013818

syzop's comment

syzop

2015-07-23 22:21

administrator   ~0018548

Fixed / done.

https://github.com/unrealircd/unrealircd/commit/5fce302336a1a66381e18f46ec5ffc4729cbebef

Issue History

Date Modified Username Field Change
2004-11-13 09:40 TimeFX New Issue
2004-11-13 09:56 syzop Note Added: 0008287
2004-11-13 10:04 TimeFX Note Added: 0008288
2004-11-13 10:11 syzop Note Added: 0008290
2004-11-13 10:16 TimeFX Note Added: 0008291
2004-11-13 10:16 TimeFX Note Edited: 0008291
2004-11-13 10:23 syzop Note Added: 0008292
2004-11-13 10:25 syzop Note Edited: 0008292
2004-11-13 10:28 syzop Note Edited: 0008292
2004-11-13 10:29 syzop Note Edited: 0008292
2004-11-13 10:59 TimeFX Note Added: 0008293
2004-11-13 13:32 codemastr Note Added: 0008312
2004-11-13 13:33 TimeFX Note Added: 0008313
2007-04-27 05:23 stskeeps Note Added: 0013818
2007-04-27 05:23 stskeeps Status new => feedback
2015-07-23 22:21 syzop Note Added: 0018548
2015-07-23 22:21 syzop Status feedback => resolved
2015-07-23 22:21 syzop Fixed in Version => 3.4-beta3
2015-07-23 22:21 syzop Resolution open => fixed
2015-07-23 22:21 syzop Assigned To => syzop